%define upstream_name SQL-QueryMaker
%define upstream_version 0.03

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Helper functions for SQL query generation
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::Requires)

BuildArch:	noarch

%description
This module concentrates on providing an expressive, concise way to
declare SQL expressions by exporting carefully-designed functions. It is
possible to use the module to generate SQL query conditions and pass
them as arguments to other more versatile query builders such as
SQL::Maker.

The functions exported by the module instantiate comparator objects that
build SQL expressions when their "as_sql" method are being invoked.
There are two ways to specify the names of the columns to the
comparator; to pass in the names as argument or to specify then as an
argument to the "as_sql" method.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.30.0-6pclos2017
- rebuild against updates

